Package org.eclipse.lemminx.telemetry

## Class InitializationTelemetryInfo

- java.lang.Object
- - org.eclipse.lemminx.telemetry.InitializationTelemetryInfo

    public class InitializationTelemetryInfo
    extends Object

Telemetry data to collect.

- Server version information
- JVM information

Author:
  Angelo ZERR

### Field Summary

Fields
`static String` `JVM_IS_NATIVE_IMAGE`
`static String` `JVM_MEMORY_FREE`
`static String` `JVM_MEMORY_MAX`
`static String` `JVM_MEMORY_TOTAL`
`static String` `JVM_NAME`
`static String` `JVM_RUNTIME`
`static String` `JVM_VERSION`
`static String` `SERVER_VERSION_NUMBER`

### Constructor Summary

Constructors
`InitializationTelemetryInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,​Object>` `getInitializationTelemetryInfo()` Returns the init telemetry as a map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JVM_MEMORY_MAX

    public static final String JVM_MEMORY_MAX

See Also:
  Constant Field Values

#### JVM_MEMORY_TOTAL

    public static final String JVM_MEMORY_TOTAL

See Also:
  Constant Field Values

#### JVM_MEMORY_FREE

    public static final String JVM_MEMORY_FREE

See Also:
  Constant Field Values

#### JVM_IS_NATIVE_IMAGE

    public static final String JVM_IS_NATIVE_IMAGE

See Also:
  Constant Field Values

#### JVM_RUNTIME

    public static final String JVM_RUNTIME

See Also:
  Constant Field Values

#### JVM_VERSION

    public static final String JVM_VERSION

See Also:
  Constant Field Values

#### JVM_NAME

    public static final String JVM_NAME

See Also:
  Constant Field Values

#### SERVER_VERSION_NUMBER

    public static final String SERVER_VERSION_NUMBER

See Also:
  Constant Field Values

### Constructor Detail

#### InitializationTelemetryInfo

    public InitializationTelemetryInfo()

### Method Detail

#### getInitializationTelemetryInfo

    public static Map<String,​Object> getInitializationTelemetryInfo()

Returns the init telemetry as a map

Returns:
  the init telemetry as a map